# Uses of Enum Class
org.eclipse.emf.compare.provider.utils.IStyledString.Style.UnderLineStyle

Packages that use IStyledString.Style.UnderLineStyle
Package
Description
org.eclipse.emf.compare.provider.utils

## Uses of IStyledString.Style.UnderLineStyle in org.eclipse.emf.compare.provider.utils

Methods in org.eclipse.emf.compare.provider.utils that return IStyledString.Style.UnderLineStyle
Modifier and Type
Method
Description
`IStyledString.Style.UnderLineStyle`
IStyledString.Style.`getUnderlineStyle()`
`static IStyledString.Style.UnderLineStyle`
IStyledString.Style.UnderLineStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStyledString.Style.UnderLineStyle[]`
IStyledString.Style.UnderLineStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare.provider.utils with parameters of type IStyledString.Style.UnderLineStyle
Modifier and Type
Method
Description
`IStyledString.Style.StyleBuilder`
IStyledString.Style.StyleBuilder.`setUnderlineStyle(IStyledString.Style.UnderLineStyle pUnderlineStyle)`
Set the underline style.